package photosapi

import (
	"errors"
	"net/http"

	"github.com/gin-gonic/gin"
)

// Errors
var (
	ErrUnexpected = errors.New("an unexpected error occur")
)

// Service
func (s *Service) Recovery(c *gin.Context) {
	defer func() {
		if err := recover(); err != nil {
			s.LogErr.Print("PANIC", err)
			s.Error(c, http.StatusInternalServerError, ErrUnexpected)
		}
	}()
	c.Next()
}
